# Created by pyp2rpm-1.1.2
%global pypi_name pyaml
%global with_python3 1
%define version 18.11.0

Name:           python-pyaml
Version:        %{version}
Release:        %mkrel 6
Group:          Development/Python
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

License:        Public Domain
URL:            https://github.com/mk-fg/pretty-yaml
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        PyYAML-based module to produce pretty and readable YAML-serialized data

Requires:       python3-yaml

%description -n python3-%{pypi_name}
YAML is generally nice and easy format to read *if* it was written by
humans.

PyYAML can a do fairly decent job of making stuff readable, and the
best combination of parameters for such output that I've seen so far.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%if 0%{?with_python3}
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3


%build
%if 0%{?with_python3}
%py3_build
%endif # with_python3


%install
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif # with_python3


%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%endif # with_python3



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 18.11.0-6.mga9
+ Revision: 1823232
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 18.11.0-5.mga9
+ Revision: 1781996
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 18.11.0-4.mga9
+ Revision: 1732940
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 18.11.0-3.mga8
+ Revision: 1535598
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 18.11.0-2.mga8
+ Revision: 1452486
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 18.11.0-1.mga7
+ Revision: 1353836
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 15.6.3-6.mga7
+ Revision: 1289759
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 15.6.3-5.mga7
+ Revision: 1135559
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 15.6.3-4.mga6
+ Revision: 971159
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 15.6.3-3.mga6
+ Revision: 889387
- rebuild for python 3.5

* Sun Jul 19 2015 joequant <joequant> 15.6.3-2.mga6
+ Revision: 855285
- fix python3 build

* Sun Jul 19 2015 joequant <joequant> 15.6.3-1.mga6
+ Revision: 855186
- imported package python-pyaml

